%define gcj_support         0
%define eclipse_base        %{_datadir}/eclipse
%define eclipse_base        %{_libdir}/eclipse
%define install_loc         %{_datadir}/eclipse/dropins
%define svn_rev             18654
%define debug_package %{nil}

Name:           eclipse-rpm-editor
Version:        0.4.2
Release:        %mkrel 0.1.0
Epoch:          0
Summary:        RPM Specfile editor for Eclipse
Group:          Development/Java
License:        EPL
URL:            http://wiki.eclipse.org/index.php/Linux_Distributions_Project
# This tarball was made using the included script, like so:
#   sh ./fetch-specfile-editor.sh %{svn_rev}
Source0:        specfile-editor-fetched-src-%{version}.tar.bz2
Source1:        fetch-specfile-editor.sh
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%if %{gcj_support}
BuildRequires:    java-gcj-compat-devel
%endif
%if ! %{gcj_support}
BuildArch: noarch
%endif
BuildRequires: java-rpmbuild
BuildRequires: zip
BuildRequires: eclipse-pde >= 1:3.3.0
BuildRequires: eclipse-changelog >= 2.5.1
Requires: eclipse-platform >= 3.3.1
Requires: eclipse-changelog >= 2.5.1
Requires: rpmlint >= 0.81
Requires: rpmdevtools

# These plugins are really noarch but they the changelog plugin need cdt which
# we only build on these architectures.
%if %{gcj_support}
ExclusiveArch: %{ix86} x86_64 ppc ia64
%else
ExclusiveArch: %{ix86} x86_64 ppc ia64 noarch
%endif

%description
The Eclipse Specfile Editor package contains Eclipse plugins that are
useful for maintenance of RPM specfiles within the Eclipse IDE.

%prep
%setup -q -n specfile-editor-fetched-src-%{version}

%build
# See comments in the script to understand this.
%{eclipse_base}/buildscripts/pdebuild -d changelog -f org.eclipse.linuxtools.rpm.ui.editor \
  -a "-DjavacTarget=1.6 -DjavacSource=1.6"

%install
rm -rf %{buildroot}
installDir=%{buildroot}%{install_loc}/rpm-editor
install -d -m 755 $installDir
unzip -q -d $installDir \
 build/rpmBuild/org.eclipse.linuxtools.rpm.ui.editor.zip

%{gcj_compile}

%clean
rm -rf %{buildroot}

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%files
%defattr(-,root,root,-)
%doc org.eclipse.linuxtools.rpm.ui.editor-feature/*.html
%{install_loc}/rpm-editor
%{gcj_files}


%changelog
* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 0:0.4.2-0.1.0mdv2009.1
+ Revision: 345411
- New upstream release

* Fri Jan 09 2009 Jérôme Soyer <saispo@mandriva.org> 0:0.4.1-0.1.0mdv2009.1
+ Revision: 327458
- New upstream version

* Mon Jun 30 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:0.4.0-0.3.1mdv2009.0
+ Revision: 230123
- new version

* Thu May 22 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:0.3.0-0.0.3mdv2009.0
+ Revision: 210008
- new snapshot and disable gcj compile

* Mon May 12 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:0.3.0-0.0.2mdv2009.0
+ Revision: 206356
- new snapshot, fixes %%pretrans/%%posttrans NPE

* Fri May 09 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:0.3.0-0.0.1mdv2009.0
+ Revision: 205214
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Sun Jan 13 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:0.2.1-0.2.1mdv2008.1
+ Revision: 151053
- new svn snapshot -enable SOURCE completion

* Thu Jan 03 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:0.2.1-0.1.1mdv2008.1
+ Revision: 142008
- add java-rpmbuild BR
- new release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 03 2007 Alexander Kurtakov <akurtakov@mandriva.org> 0:0.2.0-0.2.2mdv2008.1
+ Revision: 114646
- add zip BR
- new version - sync with fedora

* Thu Oct 18 2007 David Walluck <walluck@mandriva.org> 0:0.1.0-0.10.1mdv2008.1
+ Revision: 100013
- sync with 10fc
- Requires: rpmlint >= 0.81, not 0.80

* Fri Sep 21 2007 David Walluck <walluck@mandriva.org> 0:0.1.0-0.7.2mdv2008.0
+ Revision: 91829
- relax rpmlint version requirement

* Tue Sep 18 2007 David Walluck <walluck@mandriva.org> 0:0.1.0-0.7.1mdv2008.0
+ Revision: 89377
- Import eclipse-rpm-editor



* Mon Sep 3 2007 Alphonse Van Assche <alcapcom@fedoraproject.org> 0.1.0-7
- Requires rpmlint >= 0.81

* Mon Sep 3 2007 Alphonse Van Assche <alcapcom@fedoraproject.org> 0.1.0-6
- Remove rpmlint-remove-rpmlint-plugin.patch because rpmlint 0.81 is out.

* Sun Sep 2 2007 Alphonse Van Assche <alcapcom@fedoraproject.org> 0.1.0-5
- Only build the plugin where the changelog plugin can be build, only
  x86 x86_64 ppc and ia64 arches are supported by the changelog plugin because
  of dependencies on the cdt plugin.

* Sat Sep 1 2007 Alphonse Van Assche <alcapcom@fedoraproject.org> 0.1.0-4
- Disable temporarily rpmlint Plug-In because rpmlint 0.80 is not supported. 

* Thu Aug 29 2007 Alphonse Van Assche <alcapcom@gmail.com> 0.1.0-3
- Fix the description tag (see comment 9 of #253434for more details).
- Lower the rpmlint required version form 0.81 to 0.80.

* Sun Aug 26 2007 Alphonse Van Assche <alcapcom@gmail.com> 0.1.0-2
- Fix License tag.

* Wed Aug 15 2007 Alphonse Van Assche <alcapcom@gmail.com> 0.1.0-1
- Initial package.
